# Command: errordict

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    errordict - pushes error dictionary on operand stack

Synopsis:

    errordict -> dict

Examples:

    errordict info -> shows errordict

Description:

      Pushes the dictionary object errordict on the operand stack.
      errordict is not an operator; it is a name in systemdict associated
      with the dictionary object.

      The flag newerror helps to distinguish
      between interrupts caused by call of
      stop and interrupts raised by raiseerror.

      The name command contains the name of the command which
      caused the most recent error.

      The flag recordstacks decides whether the state of the interpreter
      is saved on error.
      If reckordstacks is true, the following state objects are saved

      Operand stack   -> ostack
      Dictionary stack -> dstack
      Execution stack  -> estack

Parameters:

    none

Remarks:

    commented  1.4.1999, Diesmann

References:

    The Red Book 2nd. ed. p. 408

SeeAlso:

- raiseerror
- raiseagain
- info

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/sli/interpret.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative